Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » Validation errors for Eclipselink 2.1.1 project.xml(Validation errors for Eclipselink project.xml after installing Eclipse 3.6 and Eclipselink 2.1.1)
Validation errors for Eclipselink 2.1.1 project.xml [message #636243] Fri, 29 October 2010 16:01
Miguel Missing name is currently offline Miguel Missing name
Messages: 9
Registered: September 2010
Junior Member
Recently I installed Eclipse version 3.6 and now an existing JPA project that uses Eclipselink 2.1.1 shows xlm validation errors. The only file that is marked with validation errors in the project is the project.xml file.

The top error the IDE shows for the project.xml file is "Referenced file contains errors (jar:file:/C:/eclipse3.6/plugins org.eclipse.jpt.eclipselink.core_1.3.1.v201007142310.jar!/sc hemas/eclipselink_oxm_2_1.xsd). For more
information, right click on the message in the Problems View and select "Show Details..."

After that there are a ton of validation errors for that xml file, it cannot locate any of the elements it contains. I know Eclipse loads the org.eclipse.jpt.eclipselink.core_1.3.1.v201007142310.jar on startup, it cannot be moved or renamed once it is running.

[Updated on: Fri, 05 November 2010 11:11]

Report message to a moderator

Previous Topic:mapping custom types
Next Topic:DynamicJAXBContext creation fails with NPE
Goto Forum:
  


Current Time: Wed Aug 20 18:24:34 EDT 2014

Powered by FUDForum. Page generated in 0.01430 seconds